/*

  Vibration Switch Module SW-18010P

  Parts required:
  - Arduino Board
  - Vibration Switch Module SW-18010P


  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 3 Feb 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int digitalReadValue;
int digitalReadPin = 7;
int delayTimer = 100;

void setup() {
  Serial.begin(9600);                               // start Serial communication
  pinMode (digitalReadPin, INPUT);                  // Set digitalReadPin as INPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin);   // Read value from digitalReadPin and store in digitalReadValue

  if (digitalReadValue == LOW) {                    // If digitalReadValue = LOW Do
    Serial.println("Vibration detected...");        // print text to Serial Monitor
    delay(delayTimer);                              // Delay for 100ms to show the LED on
  }
}
